> ## Documentation Index
> Fetch the complete documentation index at: https://docs.senseaudio.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 Agent 列表

> 获取平台提供的所有可用语音Agent列表，包括语音Agent的基本信息、角色介绍和适用场景。支持分页查询。



## OpenAPI

````yaml GET /v1/realtime/agents
openapi: 3.1.0
info:
  title: SenseAudio Open Platform API
  description: >-
    SenseAudio 开放平台
    API，覆盖语音合成、语音识别、音色能力、音乐生成、图片生成、视频生成、智能体与大语言模型等能力。未显式说明的字段为依据素材文档推断。
  version: 1.0.0
servers:
  - url: https://api.senseaudio.cn
    description: 生产环境
security:
  - bearerAuth: []
paths:
  /v1/realtime/agents:
    get:
      tags:
        - Agents
      summary: 获取 Agent 列表
      description: 获取平台提供的所有可用语音Agent列表，包括语音Agent的基本信息、角色介绍和适用场景。支持分页查询。
      operationId: getAgentList
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: 内容类型。固定为 application/json
          schema:
            type: string
            default: application/json
            example: application/json
        - name: page
          in: query
          required: false
          description: 分页页码
          schema:
            type: integer
            default: 1
            example: 1
        - name: size
          in: query
          required: false
          description: 每页数量
          schema:
            type: integer
            default: 10
            example: 10
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentListResponse'
              example:
                total: 10
                list:
                  - id: 690f53770e9d9d60d98ba7a8
                    title: 今天天气怎么样
                    avatar: https://example.com/avatar1.jpg
                    intro: 今天天气怎么样
                  - id: 8bb494d52b152690f2ff6c58
                    title: 今天天气怎么样
                    avatar: https://example.com/avatar2.jpg
                    intro: 今天天气怎么样
        '401':
          description: 鉴权失败
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFilled:
                  summary: 未填写API KEY
                  value:
                    code: authentication_error
                    message: invalid authorization
                apiKeyFailed:
                  summary: API KEY 错误
                  value:
                    code: authentication_error
                    message: incorrect API key provided
        '500':
          description: 服务器内部错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: internal
                message: 服务繁忙，请稍后再试
                ref_code: 500000
      security:
        - bearerAuth: []
components:
  schemas:
    AgentListResponse:
      type: object
      properties:
        list:
          type: array
          description: Agent 列表
          items:
            type: object
            properties:
              id:
                type: string
                description: Agent ID
              title:
                type: string
                description: Agent 标题
              avatar:
                type: string
                description: Agent 头像
              intro:
                type: string
                description: Agent 简介
        total:
          type: integer
          description: 总数
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: 格式：`Bearer <API_KEY>`

````